export class Debounce {
  private timeoutRef?: NodeJS.Timeout;

  public debounce(cb: () => void, timeout: number) {
    clearTimeout(this.timeoutRef);
    this.timeoutRef = setTimeout(cb, timeout);
  }
}
